class TimerecordsController < ApplicationController
  # GET /timerecords
  # GET /timerecords.xml
  def index
    @timerecords = Timerecord.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @timerecords }
    end
  end

  # GET /timerecords/1
  # GET /timerecords/1.xml
  def show
    @timerecord = Timerecord.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @timerecord }
    end
  end

  # GET /timerecords/new
  # GET /timerecords/new.xml
  def new
    @timerecord = Timerecord.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @timerecord }
    end
  end

  # GET /timerecords/1/edit
  def edit
    @timerecord = Timerecord.find(params[:id])
  end

  # POST /timerecords
  # POST /timerecords.xml
  def create
    @timerecord = Timerecord.new(params[:timerecord])

    respond_to do |format|
      if @timerecord.save
        format.html { redirect_to(@timerecord, :notice => 'Timerecord was successfully created.') }
        format.xml  { render :xml => @timerecord, :status => :created, :location => @timerecord }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @timerecord.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /timerecords/1
  # PUT /timerecords/1.xml
  def update
    @timerecord = Timerecord.find(params[:id])

    respond_to do |format|
      if @timerecord.update_attributes(params[:timerecord])
        format.html { redirect_to(@timerecord, :notice => 'Timerecord was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @timerecord.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /timerecords/1
  # DELETE /timerecords/1.xml
  def destroy
    @timerecord = Timerecord.find(params[:id])
    @timerecord.destroy

    respond_to do |format|
      format.html { redirect_to(timerecords_url) }
      format.xml  { head :ok }
    end
  end
end
